Bug 438110 - Review Request: xmountains - A fractal terrain generator
Summary: Review Request: xmountains - A fractal terrain generator
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-03-19 05:32 UTC by Ian Weller
Modified: 2008-03-28 04:10 UTC (History)
2 users (show)

Fixed In Version: 2.7-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-20 18:27:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora-review+
a.badger: fedora-cvs+


Attachments (Terms of Use)

Description Ian Weller 2008-03-19 05:32:15 UTC
Spec URL: http://ianweller.fedorapeople.org/SRPMS/xmountains/2.7-1/xmountains.spec
SRPM URL: http://ianweller.fedorapeople.org/SRPMS/xmountains/2.7-1/xmountains-2.7-1.fc8.src.rpm
Description: Xmountains is a fractal terrain generator written by Stephen Booth.

Comment 1 Mamoru TASAKA 2008-03-19 12:22:00 UTC
I am using this for xscreensaver :) I will review this.

Comment 2 Mamoru TASAKA 2008-03-19 13:15:12 UTC
Rebuild failed.
http://koji.fedoraproject.org/koji/taskinfo?taskID=522161

Note:
You can check if your srpm rebuilds by koji scratch build as:
$ koji build --scratch <target> <srpm_you_want_to_rebuild>
where <target> can be dist-f9, dist-f8-updates-candidate or
dist-fc7-updates-candidate.
If the build is successful, the rebuilt rpms are put on
http://koji.fedoraproject.org/scratch/<your_FAS_name>/task_<taskid>/ .

Also please check if Fedora specific compilation flags are honored
correctly.

Comment 3 Ian Weller 2008-03-19 17:07:32 UTC
/me does a classic face-to-palm maneuver

wow, I forgot to add xmkmf to the build requires. *sigh* this is what happens when
you build packages at 1 AM... :D

let's try release 2...
spec: http://ianweller.fedorapeople.org/SRPMS/xmountains/2.7-2/xmountains.spec
srpm:
http://ianweller.fedorapeople.org/SRPMS/xmountains/2.7-2/xmountains-2.7-2.fc8.src.rpm


Comment 4 Ian Weller 2008-03-19 17:12:32 UTC
i tested it before i uploaded. it build...
http://koji.fedoraproject.org/koji/taskinfo?taskID=522491

Comment 5 Mamoru TASAKA 2008-03-19 18:07:24 UTC
For 2.7-2:

* License
  - This is MIT.

* Fedora specific compilation flags
  - is not honored correctly (please check CCOPTIONS, for example)

* Permission
  - Currently xmountains.1x.gz has 0444 permission, which should
    be 0644 (please check INSTMANFLAGS)

* manfile
  - Files under %_mandir are automatically marked as %doc.

Comment 7 Mamoru TASAKA 2008-03-20 07:57:38 UTC
Okay.

----------------------------------------------------------
    This package (xmountains) is APPROVED by me
----------------------------------------------------------

Comment 8 Ian Weller 2008-03-20 08:06:02 UTC
New Package CVS Request
=======================
Package Name: xmountains
Short Description: A fractal terrain generator
Owners: ianweller
Branches: F-7 F-8 EL-4 EL-5
InitialCC: 
Cvsextras Commits: yes

Comment 9 Kevin Fenzi 2008-03-20 16:12:41 UTC
cvs done.

Comment 10 Ian Weller 2008-03-20 17:01:19 UTC
Package Change Request
======================
Package Name: xmountains
Odd request: remove branches EL-4 and EL-5
Circumstances: unable to build for these branches because dependencies can never
be resolved

Comment 11 Fedora Update System 2008-03-20 17:53:32 UTC
xmountains-2.7-3.fc8 has been submitted as an update for Fedora 8

Comment 12 Mamoru TASAKA 2008-03-20 18:27:25 UTC
Closing.

Comment 13 Fedora Update System 2008-03-20 22:30:37 UTC
xmountains-2.7-3.fc7 has been submitted as an update for Fedora 7

Comment 14 Fedora Update System 2008-03-21 22:09:58 UTC
xmountains-2.7-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2008-03-21 22:15:59 UTC
xmountains-2.7-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Toshio Ernie Kuratomi 2008-03-24 17:59:11 UTC
cvs done.  Removed in cvs and in the pkgdb.


Note You need to log in before you can comment on or make changes to this bug.